[Prev: MAILTO] | [Resources][TOC] | [Next: MAIN]

# MAILTOURL

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_MAILTOURL=`URL-template

Element

  `<MAILTOURL>
  ` URL-template
  `</MAILTOURL>
  `

Command-line Option

  `-mailtourl` URL-template

## Description

The MAILTOURL defines the URL template for hyperlinking mail addresses in message headers when the MAILTO resource is active.

NOTE: | The MAILTOURL resource has different rules for variable expansion. If a variable does not exactly match the set of variables available for the MAILTOURL, the variable text will be taken literally as part of the element content. Therefore, a single "`$`" can be used to represent a "`$`" character. Also, variables in the MAILTOURL should NOT have "`:`NU" modifier. This will prevent the variables from be recognized. MHonArc will automatically treat the replacement value as a part of a URL string.

## Default Setting

    mailto:$TO$

## Resource Variables

Variable | Value
--- | ---
`$FROMADDR$` | The e-mail address in the `From:` field of the message.
`$FROMADDRDOMAIN$` | The e-mail address domain of the `From:` field of the message.
`$FROMADDRNAME$` | The e-mail address "username" (or local-part) of the `From:` field of the message.
`$FROMNAME$` | The human name of the person in the `From:` field of the message. If no human name is found, the username specified in the e-mail address is used.
`$MSGGMTDATE$` | GMT date of current message.
`$MSGID$` | The message-id of the message.
`$MSGLOCALDATE$` | Local date of current message.
`$TO$` | The email address (MAILTOURL only).
`$TOADDRDOMAIN$` | The e-mail address domain (MAILTOURL only).
`$TOADDRNAME$` | The e-mail address "username" (or local-part) (MAILTOURL only).

## Examples

The following example defines how MAILTOURL can be used to have e-mail addresses linked to a CGI program:

    <MailToURL>
    /cgi-bin/mailform.cgi?to=$TO$;subject=$SUBJECT$;srcid=$MSGID$
    </MailToURL>

## Version

1.0

## See Also

MAILTO, NEWSURL

[Prev: MAILTO] | [Resources][TOC] | [Next: MAIN]